Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RequestTimeoutException Class Reference

`#include <coherence/net/RequestTimeoutException.hpp>`

Inherits PortableException.

List of all members.

## Detailed Description

Signals that a request execution in a clustered environment did not complete in a pre-determined amount of time.

For some specific requests this exception could carry a partial execution result.

Author:
  jh 2008.02.14

## Public Types
typedef spec::Handle | Handle
| RequestTimeoutException Handle definition.
typedef spec::View | View
| RequestTimeoutException View definition.
typedef spec::Holder | Holder
| RequestTimeoutException Holder definition.
## Public Member Functions
virtual Object::Holder | getPartialResult () const
| Return a partial execution result that may have been assembled prior to the timeout.
virtual void | setPartialResult (Object::Holder ohPartialResult)
| Specify a partial execution result.
virtual void | readExternal (PofReader::Handle hIn)
virtual void | writeExternal (PofWriter::Handle hOut) const
## Protected Member Functions
| RequestTimeoutException (String::View vsMsg=String::NULL_STRING, Exception::View vCause=NULL)
| Create a RequestTimeoutException.
## Protected Attributes
MemberHolder< Object > | m_ohPartialResult
| Partial execution result (optional).

## Constructor & Destructor Documentation

RequestTimeoutException | ( | String::View | vsMsg = `String::NULL_STRING`,
|  | Exception::View | vCause = `NULL` |
| ) |  |  | `[protected]`

Create a RequestTimeoutException.

Parameters:

  | vsMsg | the detail message
  | vCause | the underlying cause of the exception

## Member Function Documentation

virtual Object::Holder getPartialResult | ( |  | ) | const `[virtual]`

Return a partial execution result that may have been assembled prior to the timeout.

The result type is usually the same as the type of the return value for the corresponding request.

Returns:
  a partial execution result

virtual void setPartialResult | ( | Object::Holder | ohPartialResult | ) | `[virtual]`

Specify a partial execution result.

Parameters:

  | ohPartialResult | a partial execution result

The documentation for this class was generated from the following file:

- coherence/net/RequestTimeoutException.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.